import { PollingEventHelper as e } from "../helpers/PollingEventHelper.mjs";
import { SolanaBlockchainEventEmitter as t } from "./SolanaBlockchainEventEmitter.mjs";
//#region libs/shared/common/src/data-structures/event-service/solana/PollingSolanaBlockchainEventEmitter.ts
var n = class extends t {
	pollingEventHelper = new e(this.isServer);
	clear() {
		this.pollingEventHelper.clear();
	}
	startUpdateListener() {
		this.pollingEventHelper.startUpdateListener(async () => {
			await this.retrieveEvents(this.latestBlockNumber);
		});
	}
};
//#endregion
export { n as PollingSolanaBlockchainEventEmitter };
